plot.spatial {sma} | R Documentation

## Spatial Representation of Microarray Spot Statistics

### Description

Creates an image of shades of gray or colors, that represents the values of a statistic for each spot on the array. The statistic can be a log intensity ratio, quality information such as spot size or shape, or a t-statistic. This function can be used to explore whether there are any spatial effects in the data.

### Usage

    plot.spatial(x, layout, crit1=0.05, crit2=crit1, ...)

### Arguments

`x` | a numerical vector. This vector can contain any spot statistics, such as log intensity ratios, spot sizes or shapes, or t-statistics.
`layout` | a list specifying the dimensions of the spot matrix and the grid matrix. This can be generated by calling `init.grid`.
`crit1` | the number of values from x to be displayed on the image. If crit1 < 1, the crit1*100% spots with the largest x values are displayed. If crit1 >= 1, the crit1 spots with the largest x values are displayed.
`crit2` | the number of values from x to be displayed on the image. If crit2 < 1, the crit2*100% spots with the largest x values are displayed. If crit2 >= 1, the crit2 spots with the largest x values are displayed.
`...` | graphical parameters may also be supplied as arguments to the function (see `par`).

### Details

The values that didn't meet the criteria are not shown on the image. The image follows the layout of an actual microarray slide with the top left corner representing the spot (1,1,1,1).

### Value

An image is created on the current graphics device.

### Note

`draw.image.func` and `spatial.func` are called by `plot.spatial` and are not typically used on their own.

### Author(s)

Yee Hwa Yang, yeehwa@stat.berkeley.edu
Sandrine Dudoit, sandrine@stat.berkeley.edu

### See Also

`draw.image.func`, `init.grid`, `spatial.func`, `image`.

### Examples

    data(MouseArray)
    # mouse.setup <- init.grid()
    # mouse.data <- init.data() ## see \emph{init.data}

    mouse.lratio <- stat.ma(mouse.data, mouse.setup)
    plot.spatial(mouse.lratio$M[,1], mouse.setup) ## default 85

    # Looking for areas where the spots are not quite circular
    plot.spatial(mouse1[,"shape"], mouse.setup, crit1=0.1)

[Package sma version 0.5.14 Index]